package org.jeecg.modules.checkData.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 设备检查数据汇总接收类
 * </p>
 *
 * @author hkl
 * @since 2023-07-07
 */
@Data
public class CheckDataSummaryDTO {


    private static final long serialVersionUID = 1L;

    @ApiModelProperty("大类型 1:动静态几何尺寸检查; 2:设备检查记录; 3:线路巡查记录数据")
    private Integer bigType;
    @ApiModelProperty("小类型 1:动静态几何尺寸检查（1：人工静态检查；2：轨检仪静态检查; 3:轨检车检查；4：添乘仪检查）; " +
            "2:设备检查记录（1：道岔使用情况；2：钢轨伤损情况；3：曲线磨损情况；4：钢轨波磨情况；5：道床使用情况）; " +
            "3:线路巡查记录数据（1:线路巡查情况）")
    private Integer smallType;

    @ApiModelProperty("检查批次编号")
    private String ekCode;

    @ApiModelProperty("起始里程")
    private BigDecimal startingMileage;

    @ApiModelProperty("终点里程")
    private BigDecimal endMileage;


}
