package org.jeecg.modules.checkData.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.checkData.dto.CheckDataSummaryDTO;
import org.jeecg.modules.checkData.dto.RecordsMasterCheckDTO;
import org.jeecg.modules.checkData.entity.RecordsMasterCheck;
import org.jeecg.modules.checkData.vo.CheckDataSummaryVO;
import org.jeecg.modules.checkData.vo.RecordsMasterCheckVO;

/**
 * <p>
 * 设备检查记录主表 Mapper 接口
 * </p>
 *
 * @author hkl
 * @since 2023-07-07
 */
public interface RecordsMasterCheckMapper extends BaseMapper<RecordsMasterCheck> {
    /**
     * 设备检查记录-分页列表查询
     * @param pageData
     * @param dto
     * @return
     */
    Page<RecordsMasterCheckVO> queryPageList(Page<RecordsMasterCheckVO> pageData, RecordsMasterCheckDTO dto);

    /**
     * 设备线路检查记录汇总-分页列表查询
     * @param pageData
     * @param dto
     * @return
     */
    Page<CheckDataSummaryVO> getSummaryPageList(Page<CheckDataSummaryVO> pageData, CheckDataSummaryDTO dto);

}
