package org.jeecg.modules.checkData.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.checkData.dto.CheckDataSummaryDTO;
import org.jeecg.modules.checkData.dto.RecordsMasterCheckDTO;
import org.jeecg.modules.checkData.entity.RecordsMasterCheck;
import org.jeecg.modules.checkData.mapper.RecordsMasterCheckMapper;
import org.jeecg.modules.checkData.service.IRecordsMasterCheckService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.checkData.vo.CheckDataSummaryVO;
import org.jeecg.modules.checkData.vo.RecordsMasterCheckVO;
import org.jeecg.modules.homePage.vo.ToDoDetailVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 设备检查记录主表 服务实现类
 * </p>
 *
 * @author hkl
 * @since 2023-07-07
 */
@Service
public class RecordsMasterCheckServiceImpl extends ServiceImpl<RecordsMasterCheckMapper, RecordsMasterCheck> implements IRecordsMasterCheckService {
    /**
     * 设备检查记录-分页列表查询
     * @param pageData
     * @param dto
     * @return
     */
    @Override
    public Page<RecordsMasterCheckVO> queryPageList(Page<RecordsMasterCheckVO> pageData, RecordsMasterCheckDTO dto) {
        return this.baseMapper.queryPageList(pageData,dto);
    }

    /**
     * 设备线路检查记录汇总-分页列表查询
     * @param pageData
     * @param dto
     * @return
     */
    @Override
    public Page<CheckDataSummaryVO> getSummaryPageList(Page<CheckDataSummaryVO> pageData, CheckDataSummaryDTO dto) {
        return this.baseMapper.getSummaryPageList(pageData,dto);
    }
}
