package org.jeecg.modules.checkData.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 设备线路检查记录汇总返回类
 * </p>
 *
 * @author hkl
 * @since 2023-07-07
 */
@Data
public class CheckDataSummaryVO {


    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("创建日期")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty("更新人")
    private String updateBy;

    @ApiModelProperty("更新时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @ApiModelProperty("大类型 1:动静态几何尺寸检查; 2:设备检查记录; 3:线路巡查记录数据")
    private Integer bigType;

    @ApiModelProperty("小类型 1:动静态几何尺寸检查（1：人工静态检查；2：轨检仪静态检查; 3:轨检车检查；4：添乘仪检查）; " +
            "2:设备检查记录（1：道岔使用情况；2：钢轨伤损情况；3：曲线磨损情况；4：钢轨波磨情况；5：道床使用情况）; " +
            "3:线路巡查记录数据（1:线路巡查情况）")
    private Integer smallType;

    @ApiModelProperty("检查批次编号")
    private String ekCode;

    @ApiModelProperty("工单编号")
    private String workCode;

    @ApiModelProperty("轨检车号/轨距水平尺编号")
    private String gaugeCode;

    @ApiModelProperty("检查区间id")
    private String subwaySectionId;

    @ApiModelProperty("检查区间名称")
    private String subwaySectionName;

    @ApiModelProperty("所属线路id")
    private String lightRailId;

    @ApiModelProperty("所属线路名称")
    private String lightRailName;

    @ApiModelProperty("所属线别id")
    private String lineAliasId;

    @ApiModelProperty("所属线别名称")
    private String lineAliasName;

    @ApiModelProperty("起始里程")
    private BigDecimal startingMileage;

    @ApiModelProperty("终点里程")
    private BigDecimal endMileage;

    @ApiModelProperty("检查人姓名")
    private String checkBy;

    @ApiModelProperty("检查日期")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date checkTime;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("是否删除（0：未删除；1：已删除）")
    private String delFlag;


}
